@import (reference) '../../../less/platoreso.less';

.timelines {
  flex-grow: 0;
  flex-shrink: 0;
  padding: 1rem;

  .project.dates {
    font-size: 0.75rem;
    color: @lightColorInverted;
    display: flex;
    justify-content: space-between;
    .date {
      &.start {

      }
      &.end {

      }
    }
  }

  .phases {
    position: relative;
  }

  .phase {
    position: relative;
    width: 100%;
    height: 3px;
    margin-bottom: 2px;

    transition: opacity 0.25s;

    .dates {
      visibility: hidden;
      display: flex;
      justify-content: space-between;
      position: absolute;
      bottom: 4px;
      width: 100%;
      opacity: 0;
      z-index: 2;

      transition: opacity 0.25s;

      .before {
        flex-grow: 0;
      }
      .labels {
        display: flex;
        justify-content: space-between;
        flex-grow: 1;

        .label {
          color: #000000;//@sidebarBackgroundColor;
          font-size: 0.75rem;
          line-height: 1rem;
          padding: 0 0.25rem;
          position: relative;
          white-space: nowrap;
        }

        .date {

          &.start {
            margin-right: 1px;
          }
          &.end {

          }
        }
      }
      .after {
        flex-grow: 0;
      }
    }
    .timeline {
      position: absolute;
      height: 3px;
      background-color: #fff;
      z-index: 0;
    }
    &.active {
      .dates {
        visibility: visible;
        opacity: 1.0;
      }
    }
    &.faded {
      opacity: 0.5;
    }
    &.indeterminate {
      .timeline {
        background-image: linear-gradient(
                to right top,
                #000000 33%,//@sidebarBackgroundColor 33%,
                transparent 33%,
                transparent 66%,
                #000000 66%//@sidebarBackgroundColor 66%
        );
        background-size: 3px 3px;
      }
    }
  }

  .now {
    position: absolute;
    top: -2px;
    bottom: -2px;
    width: 1px;
    background-color: @white;
    z-index: 1;
  }
}